2004-07-08  Paolo Nenzi <p.nenzi@ieee.org>

	*   Applied Al Niessner <Al.Niessner@jpl.nasa.gov> negabyte patch
	    that removed all compiler warnings. 
	    
	*   configure.in, src/xspice/icm/makedefs.in, tests/Makefile.am,
	    xgraph/aclocal.m4, xgraph/configure.in, xgraph/configure: updated 
	    configuration files for autoconf V2.59 automake V1.8.

2004-07-05  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/frontend/resource.c: added __APPLE__ for mac osx support as in
	    patch sent by Khairulmizam Samsudin <kmbs@hotmail.com>
	
	*   src/spicelib/parser/inpdomod.c: fixed some typos as in patch
	    sent by Khairulmizam Samsudin <kmbs@hotmail.com>
	    
2004-06-22  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/spicelib/devices/vbic: Vbic code updated. Thanks to Dietmar 
	    Warning (warning@danalyse.de )now we have the four terminal 
	    version of the VBIC model. The old three terminal version has 
	    been discarded.

2004-06-21  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/frontend/subckt.c: patch from Stuart Brorson
	    <sdb@cloud9.net>. This patch adresses the following
	    problem (as written by Stuart):
	    Modified modtranslate and devmodtranslate to fix bug noticed 
	    by Liu:  codemodel names called out in the device instantiation 
	    line ("A1 1 2 3 4 lim") were not translated correctly if they 
	    were invoked inside a .subckt.  Fix involved explicitly adding 
	    code to handle "A" device types when translating the line.  
	    SDB 6.18.2004.	    
	    

2004-05-30  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/frontend/subckt.c: patch from Dietmar Warning 
	    (warning@danalyse.de) to fix memory errors when using very 
	    long model card.
	    
	    src/spicelibe/devices/vbic/vbicsetup.c: patch from Dietmar Warning
	    (warning@danalyse.de) to fix vbic behavior.


2004-02-14  Paolo Nenzi <p.nenzi@ieee.ord>

	*   Trimmed the autoconf interfaces. Added dummy ".out" files
	    into many tests subdirectories and modified many Makefile.amS.

2004-02-05  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/spicelib/analysis/cktntask.c: Bug: not all the values
	    of TSKtask structure were copied and got a correct default
	    value. The bug showed as an infinite loop in gmin stepping.

2004-02-10  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/frontend/inpcom.c: Applied patch from Dietmar Warning 
	    to solve the bug discovered by Jelle Haandrikman: wrong 
	    subcircuit expansion when leading spaces are present in the
	    subcircuit netlist. 

2004-01-28  Paolo Nenzi <p.nenzi@ieee.org>

	*   configure.in: changed version to rework15.

2004-01-27  Paolo Nenzi <p.nenzi@ieee.org>

	*   configure.in: changed version to rework15-pre3 and other
	    small changes for release.
	
	*   AUTHORS, FAQ: Updates

	*   src/spicelib/devices/bjt/bjtpzld.c, 
	    src/spicelib/devices/bjt2/bjt2pzld.c: there was an error
	    in the pole-zero routine. The collector resistance was
	    loaded into the matrix instead of the condictance.

        *   inpdomod.c: Updated HiSIM level to 64.

	*   src/spicelib/devices/vbic/*, src/Makefile.am, 
	    src/spicelib/devices/dev.c, src/spicelibe/parser/inp2q.c,
	    src/spicelib/parser/inpdomod.c,src/spicelib/devices/Makefile.am,
	    tests/vbic, contrib/vbic, DEVICES: Added VBIC model from
	    Dietmar Warning <warning@danalyse.de>. This is the 3 terminal
	    model without excess phase and termal network.

2004-01-26  Paolo Nenzi <p.nenzi@ieee.org>

	*   DEVICES: updated isrc an vsrc status

	*   src/spicelib/devices{isrc,vsrc}: Cleaned up code
	    

	*   tests/cider: Added example files for cider simulator.

2004-01-25  Paolo Nenzi <p.nenzi@ieee.org>

	*   configure.in, acconfig.h: Added configure options for the
	    following debug symbols: ASDEBUG, D_DBG_BLOCKTIMES,
	    D_DBG_SMALLTIMES, NEWPRED.

2004-01-23  Paolo Nenzi <p.nenzi@ieee.org>

	*   xgraph: Added xgraph plotting program. It can be added to
	    the ngspice binaries by adding --enable-xgraph in the 
	    configuration phase. 

2004-01-21  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/include/ifsim.h, src/include/cktdefs.h, src/frontend/spiceif.c,
	    src/frontend/shyu.c, src/spicelib/cktntask.c: Applied the options 
	    patch made by Charles Williams <C.D.H.Williams@exeter.ac.uk>

2004-01-20  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/maths/ni/*: Cleaned up code removing unnecessary includes.

2004-01-15  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/spicelib/devices/{cccs,ccvs,vccs,vcvs}/*: cleaned up the code.

	*   src/spicelib/devices/csw/*, src/spicelib/devices/sw/*: cleaned
	    up the code.
	    
	*   DEVICES: updated switches status.    

2004-01-14  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/spicelib/devices/txl/*: Added TXLunsetup function to allow
	    for multiple simulations. 
	
	*   DEVICES: Updated txl status. 

2004-01-11  Paolo Nenzi <p.nenzi@ieee.org>

	*   src/spicelib/analysis/*: Removed redundant includes. File stdio.h
	    is already included via ngspice.h.

2004-01-10  Paolo Nenzi <p.nenzi@ieee.org>

	*   configure.in: changed version to rework-15pre2.

	*   src/frontend/{com_history.c, cpitf.c, display.h, evaluate.c,
	    inpcom.c, misccoms.c, parser/glob.c, plotting/x11.c, resource.c,
	    runcoms.c, signal_handler.c, subckt.c, variable.c}
	    src/include/{ftedev.h, ngspice.h}
	    src/misc{ivars.c, Makefile.am, string.c, tilde.c, tilde.h, util.c,
	    util.h}
	    src/{main.c, nghelp.c, ngmultidec.c}
	    configure.in:
	    
	    Applied Stuart's patch tclspice-0.2.14_12-03-2003.diff.gz but
	    with libreadline disabled by default. (Stuart Brorson 
	    <sdb@cloud9.net>).

	*   Fixed makefiles in src/xspice/icm and src/xspice/cmpp to make 
	    distclean without barfing. (Stuart Brorson <sdb@cloud9.net>).

	*   configure.in 
	    src/xspice/cmpp/Makefile src/xspice/cmpp/Makefile.in:
	    Make configure automatically set paths for lex yacc and 
	    install dir (Stefan Jones <stefan.jones@multigig.com>).

	*  src/Makefile.am Makefile.am README.Tcl
	   src/xspice/README src/xspice/icm/README
	   src/xspice/icm/spice2poly/icm_spice2poly/README:
	   Updated to reflect codemodel support is now complete
	   (Stefan Jones <stefan.jones@multigig.com>).

	*  src/xspice/ipc/ipc.c:
	   Remove linux specific includes which are not needed
	   (Stefan Jones <stefan.jones@multigig.com>).

	*  src/xspice/{Makefile.am,xspice.c} 
	   src/xspice/cm/{cmexport.c,Makefile.am}:
	   Moved the xspice library hooks into the cm directory
	   (Stefan Jones <stefan.jones@multigig.com>).

	*  src/xspice/enh/enhtrans.c src/xspice/mif/mif_inp2.c:
	   Fixed version from Stuart Brorson <sdb@cloud9.net>, 
	   http://www.brorson.com/gEDA/ngspice/

	*  src/spinit, arc/spinit.in, configure.in: parametrized spinit paths
	   for codemodel devices.

	*  src/Makefile.am, src/ngspice.idx: removed ngspice.idx
	   and make it auto-generated and installed 
	   (Stefan Jones <stefan.jones@multigig.com>).

	*  src/frontend/aspice.c: Added #ifdef for SOLARIS.

	*  src/include/cktdefs.h: added prototype for NInzIter().

	*  src/spicelib/devices/cpl/*: Added CPLask and CPLmAsk functions to
	   access device's internals. Added CPLunsetup function to allow
	   for multiple simulations.
	   
	*  DEVICES: updated with cpl changes.       

2003-12-31  Paolo Nenzi <p.nenzi@ieee.org>

        *  src/spicelib/devices/tra/*: Cleaned code.
	
	*  src/spicelib/devices/ltra/*: Cleaned code.
	
	*  src/spicelib/devices/urc/*: Cleaned code.

        *  tests/transmission/{cpl*, txl*, ibm*}: Added test files for the
	   kspice's cpl and txl devices. 
	
	*  src/spicelib/devices/cpl/*: Cleaned the cpl code.
	
	*  src/spicelib/devices/txl/*: Cleaned the txl code.
	
	*  src/frontend/subckt.c, src/spicelib/analysis/cktdojob.c,
	   src/spicelib/analysis/dctran.c: added some txl an cpl specific
	   code from kspice.

        *  src/spicelib/devices/mesa/*: Added parallel multiplier and "dtemp",
	   pole-zero analysis and parallel code switches.

	*  src/spicelib/devices/mes/*: Added parallel multiplier.
	
	*  tests/mes, tests/mes/subth.cir: added test netlist for mes devices.

	*  DEVICES: updated documentation including MES, MESA, CPL, TXL, TRA,
	   LTRA and URC changes.

2003-12-30  Paolo Nenzi <p.nenzi@ieee.org>

        * src/spicelibe/devices/hfet2/*: Added parallel multiplier and "dtemp"
	  parameters. Added pole-zero analysis and parallel code switches. 
	
	* src/spicelib/devices/jfet/jfetpzld.c: gspr and gdpr were initialized
	  with Resist and not Conduct, corrected!

	* src/spicelib/devices/hfet1/*: Added parallel multiplier and "dtemp" to
	  the code. Added the pole-zero analysis and parallel code checks.
	  Corrected a bug in the unsetup function that caused a segfault.
	
	* tests/hfet/, tests/hfet/id_vgs.cir, tests/inverter.cir: added hfet
	  test netlists.
	  
	* DEVICES: updated hfet1 status.  

2003-12-27  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/jfet2/*: Added parallel multiplier and "dtemp"
	  parameter. Added Alan's CopyNodeSet, and inserted a missing
	  instruction in JFET2temp (for parallel code).
	
	* DEVICES: Updated documentation for JFET2 model
	  
2003-12-26  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/jfet/*: Added parallel multiplier and
	  "dtemp" parameter.
	  
	* src/spicelib/devices/jfet/jfetload.c: reintroduces the old model
	  code, superseded by Sydney code (Parker Skellern). The code is
	  not useed but is left as reference.   
	
	* DEVICES: Updated jfet status
	
	* tests/jfet, tests/jfet/jfet_vds-vgs.cir: added jfet directory 
	  and one netlist.

2003-12-24  Paolo Nenzi <p.nenzi@ieee.org>

	* src/maths/cmaths/cmath4.c: Applied
	Vera Albrecht patch to enable interpolate
	function.
	
	* src/frontend/{come_let.c, control.c, evaluate.c, outitf.c, parse.c},
	  src/frontend/parser/lexical.c: Applied Vera Albrecht patch that
	  fixes ngspice bugs in its control language (c shell). 

2003-12-08  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/mos9/*: Added 
          "dtemp" parameters.

        * DEVICES: Updated MOS9 status. 

2003-12-08  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/mos6/*: Added "m"
          "dtemp" parameters.

        * DEVICES: Updated MOS6 status. 

2003-11-22  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/bsim2/*: Added "m" 
	  parameter and noise routine. 
	
	* DEVICES: Updated file with bsim2 changes.  

2003-11-21  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/bsim1/*: Added "m" 
	  parameter and noise routine. 
	
	* DEVICES: Updated file with bsim1 changes.  

2003-11-12  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/mos2/*: Added "dtemp"
	  parameter.
	
	* src/spicelib/devices/mos3/*: Added "dtemp"
	  parameter.  
	  
	* DEVICES: updated file.  

2003-11-11  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/mos1/*: Added "dtemp"
	  parameter.
	  
	* DEVICES: Updated MOS1 status.  

2003-11-02  Paolo Nenzi <p.nenzi@ieee.org>
	
	* doc/ngspice.texi: updated documentation.

2003-10-29  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/bjt2/*: Enhanced bjt level 2
	  model adding dtemp, parallel mutliplier "m" and 
	  support for CIDER multiprocessor compilation.
	  
	* DEVICES: Updated status of Diode and BJT's.  

2003-10-26  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/bjt/*: Improved bjt level 1 model
	adding dtemp and parallel multiplier.

2003-10-24  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/dio/*: Improved diode model with code
	sent by Diermar Warning and mine improvements. Forward/Reverse
	knee currents, periphery effect, temperature corrections of
	some parameters and parallel multiplier.
	
	* doc/ngspice.texi: updated documentation with new diode model.

2003-10-01  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/analysis/noisean.c: fixed an arror that caused segfault
	  when resuming an halted long lasting noise analysis. The source fo
	  this fix is Vera Albrecht <albrecht@danalyse.de>
	  
	* src/spicelib/devices/res/restemp.c: Changed default value for flicker
	  noise exponent to 1.0 (was 0.0), as in others spice devices. 

2003-09-27  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/ind/*, src/spicelib/parser/inp2l.c,
	  src/spicelib/parser/inpdomod.c, src/include/defines.h,
	  src/include/const.h: Improved inductor model. Added parallel
	  multiplier, temperature correction and solenoid/toroid model.
	  
	* DEVICES, doc/ngspice.texi: updated documentation to reflect changes
	  in inductor code.   

2003-09-25  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/bsim3/*: Added new multirevision bsim3 code sent
	by Dietmar Warning. This model implements bsim 3v3.2 up to 3v3.2.4 and
	has enahnced with ACM.
	
	* DEVICES: updated bsim3 status. 

	* src/spicelib/devices/bjt2/*, DEVICES, Changelog: Added bjt2 code sent
	by Dietmar Warning, containing some fixes over the original code and
	a new feature: temperature correction of re,rb,rc. 
	
	* src/frontend/numparam/*, src/frontend/Makefile.am, src/Makefile.am,
	  configure.in, acconfig.h, src/frontend/subckt.c: Added numparam 
	  library contributed by Georg Post. This library let users to
	  input parametric netlists in ngspice. Look at readme in library
	  directory. 
	  
	* src/spicelib/analysis/dctrcurv.c: small bug fix. CKTtime was confused
	  with CKTtemp.

2003-09-25  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/cap/*, src/spicelib/parser/inp2c.c,
	  src/include/defines.h, src/include/const.h: enhanced
	  capacitor model. Added temperature dependence, model capacitance
	  and cj computation based on insulator thickness and relative
	  dielectric constant.
	
	* doc/ngspice.tex, DEVICES: updated documentation reflecting
	  capacitor model changes.  

2003-09-24  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/analysis/dctrcurv.c: Fixed resistance sweep. First
	point is now correct. A call to CKTtemp was needed in the first
	point.

2003-09-20  Paolo Nenzi <p.nenzi@ieee.org>

	* src/spicelib/devices/res/*, src/spicelib/analysis/nevalsrc.c,
	  doc/ngspice.texi, DEVICES: Added new features to resistors: 
	  flicker noise, tempereature difference with the rest of the 
	  circuit, noiseless resistors. The implementation of dtemp 
	  required a change in the nevalsrc.c file in the function that 
	  computes the noise densities. Updated documentation. 
	  

2003-09-18  Paolo Nenzi <p.nenzi@ieee.org>
	
	* src/spicelib/analysis/dctrcurv.c: Corrected temperature sweep.
	  Initial temp was the circuit temperature and not the start
	  value in the input line. There was a missing call to CKTtemp().

2003-08-24  Paolo Nenzi <p.nenzi@ieee.org>

	* src/maths/sparse/, src/include/complex.h: Added a function
	  needed by CIDER in sparse library and started to isolate as
	  much as possible sparse code from spice, reverting some of
	  the work did in the previous releases. The idea is to design
	  an interface between spice and a generic matrix library.
	  In the future the current sparse code will be upgraded to
	  version 1.4 (http://sparse.sourceforge.net).
	
	  src/frontend/misccoms.c, doc/ngspice.texi: Modified "version" 
	  command to include compilation information when called with
	  the new "-f" option.
	  
	  src/frontend/(parse.c,define.c): Applied Stefan patches
	  that close a memory leak.
	  
	  src/spicelib/parser/inpgmod.c: Patched Stuart INPgetNetTok
	  function to correct a parsing error emerged in pole-zero 
	  analysis.  

2003-08-14  Paolo Nenzi <p.nenzi@ieee.org>

	* configure.in, src/main.c, src/misc/tilde.c, src/misc/tilde.h,
	  src/frontend/com_history.c, src/frontend/misccoms.h,
	  src/frontend/signal_handler.c, src/frontend/plotting/x11.c,
	  src/frontend/parser/glob.c, src/include/ngspice.h:
	  
	  Added Andrew Veliath patch fo readline support. Using
	  readline with ngspice IS A VIOLATION OF GPL LICENSE, you
	  have been warned. The final decision is up to you. The
	  patch has been applied in the perspective of changing
	  readline library with libedit. Libedit aims to be a
	  replacement of readline and is covered by BSD license.
	  Libedit is available at the URL: libedit.sourceforge.net.
	  
	  Readline code has been extrapolated from a patch available
	  on  http://www.btae.mam.gov.tr/~genc/ngspice/. 
	  
2003-08-11  Paolo Nenzi <p.nenzi@ieee.org>

	* doc/ngspice.texi: updated documentation. Still incomplete
	  but on the way...

	* main.c, ngnutmeg.c, ngspice.c, frontend/resource.c,
	  include/bool.h, include/cktdefs.h, include/complex.h,
	  include/defines.h, include/devdefs.h, include/macros.h,
	  include/ngspice.h, maths/cmaths/cmath1.c, 
	  maths/cmaths/test_cx_ph.c, maths/ni/nidest.c,  
	  maths/ni/nipred.h, maths/ni/nireinit.c, misc/misc_time.c,
	  misc/string.c, misc/stringutil.h, spicelib/analysis/cktdltn.c,
	  spicelib/analysis/cktdojob.c, spicelib/analysis/cktdump.c,
	  spicelib/analysis/cktload.c, spicelib/analysis/cktmknod.c,
	  spicelib/analysis/cktntask.c, spicelib/analysis/cktpzstr.c,
	  spicelib/analysis/cktsens.c, spicelib/analysis/cktsetup.c,
	  spicelib/analysis/cktsgen.c, spicelib/analysis/cktsopt.c,
	  spicelib/parser/inp2d.c, spicelib/parser/inp2m.c,
	  spicelib/parser/inp2q.c, spicelib/parser/inpdomod.c,
	  spicelib/parser/inpgmod.c:
	  
	  Updated code for CIDER integration.

	
        * src/spicelib/devices/bsim3v2: removed because the V3.2 code
	  is now in bsim3 directory.
       
        * src/spicelib/devices: various enhancements on models. Mainly
	  code cleaning (removed spurios #include <stdio.h>). Added 
	  parallel multiplier on some device and corrected implementation
	  of cpl an txl devices.

        *  bdrydefs.h, carddefs.h, ciderinp.h, cidersupt.h, contdefs.h,
	   domndefs.h, dopdefs.h, elctdefs.h, gendev.h, lsort.h, 
	   material.h,  matldefs.h, meshdefs.h, meshext.h, methdefs.h,
	   mobdefs.h, modldefs.h, numcards.h, numconst.h, numenum.h,
	   numgen.h, numglobs.h, onedev.h, onemesh.h, optndefs.h,
	   outpdefs.h, profile.h, twodev.h, twomesh.h:
	   new include files imported with CIDER.

	
	* src/ciderlib/*, src/maths/misc, src/spicelib/devices/nbjt,
	  src/spicelib/devices/nbjt2, src/spicelib/devices/numd,
	  src/spicelib/devices/numd2, src/spicelib/devices/numos:
	  
	  Added CIDER simulator routines, support math fnctions and
	  numerical devices.
	
	* src/spicelib/devices/bsim3soi: added bsim3soi v3.x model
	
	* src/spicelib/devices/bsim3v0: added version 3.0 of
	  bsim model.
	
	* src/spicelib/devices/bsim3v1a: version 3.1 of bsim model.
	  This model has been hacked by Alan Gillespie.
	
	* src/spicelib/devices/bsim3v1s: version 3.1 of bsim model.
	  This model has been hacked by Serban Popescu.
	
	* src/spicelib/devices/hisim: added hisim model.       
		  
2003-08-06  Paolo Nenzi <p.nenzi@ieee.org>

	* Another big commit: Stefan Jones has worked on the xspice
	  part and added some fix from Vera Albrecht. Tclspice 0.2.13
	  Changelog (applicable parts) follows:
	  
	  2003-08-01 Stefan Jones <stefan.jones@multigig.com>
   
   		* src/xspice/mif/mif_inp2.c:
   		Reverted to version 1.1.2.2 so POLY and codemodels work
    
   		* src/Makefile.am:
   		Fixed libspice.so dependancies
   
  
  		* src/frontend/{com_let.c,device.c,evaluate.c}:
  		more memory leak fixes by Vera Albrecht <albrecht@danalyse.de>
  
  		* configure.in src/xspice/icm/* src/xspice/lib/*.cm 
  		src/xspice/Makefile.am :
  		Added some easy to use makefiles for codemodels and reordered
  		Removed binary files
  		Added icm to build list
  
  		* src/xspice/icm/{analog,digital,xtradev,xtraevt}:
  		added the codemodels from xspice in the same
  		structure as spiceopus
  	
  		* src/frontend/misccoms.c src/spinit src/conf.c configure.in:
  		updated email address for bug reports and package version.
	
2003-07-25  Paolo Nenzi <p.nenzi@ieee.org>

	* src/main.c: Studied Vera's main.d and introduced changes
	following her advices.
	
	* src/frontend/vectors.c: Applied Vera patch.
	
	* src/spicelib/devices/bsim3soi_{dd,fd,pd}:
	Corrected bsim3soi{pd,fd,dd}def.h, owner and states fields
	were swapped. Thanks to Jon Elngelbert.
	
2003-07-23  Paolo Nenzi <p.nenzi@ieee.org>

	* A lot of changes that touched too many files to mention each one. 
	I have introduced the xspice code into ngspice. I take xspice code 
	from tclspice (0.2.12). Since tclspice started as a branch of
	ngspice, I have applied the patches developed for it that correcting
	some bugs common to tclspice and ngspice. What follows is the
	extract of tclspice Changelog file that describes the changes:
	
	2003-07-18 Vera Albrecht <albrecht@danalyse.de>

		* src/{main.c,tclspice.c}
		src/frontend/{Makefile.am,control.c,control.h,display.c,
		dotcards.c, hcomp.c,hpgl.c,outitf.c,parse.c,postcoms.c,
		postsc.c,runcoms.c, spiceif.c,variable.c,variable.h,
		parser/complete.c,plotting/pvec.c} 
		src/include/{cktdefs.h,ngspice.h}
		src/misc/{ivars.c,string.c,stringutil.h}
		src/spicelib/analysis/{acan.c,ckt.h,dcop.c}
		src/spicelib/devices/bsim3/b3temp.c
		src/spicelib/parser/{ifnewuid.c,inp2dot.c,inperror.c} :
		Memory leaks and some WINDOWS compile fixes.

	2003-07-17 Stefan Jones <stefan.jones@multigig.com>

		* src/frontend/{subckt.c,vectors.c} 
		src/spicelib/analysis/dctran.c 
		src/spicelib/parser/inperror.c 
		src/xspice/idn/idndig.c src/xspice/mif/mif_inp2.c :
		More memory leak fixes

		* configure.in src/xspice/xspice.c :
		Fix compile problems with garbage collector


	2003-07-17 Steven Borley <sjb@salix.demon.co.uk>

		src/spicelib/devices/txl/txlload.c :
		Fixed duplicate declaration of pool_vi_txl

	2003-07-16 Vera Albrecht <albrecht@danalyse.de>

		* frontend/{device.c,parse.c,vectors.c,com_compose.c} :
		More memory leaks closed in utility commands and functions.

	2003-07-16 Stefan Jones <stefan.jones@multigig.com>

		* src/frontend/{com_compose.c,cpitf.c,device.c,subckt.c,
		vectors.c}
		src/frontend/plotting/plotit.c src/include/ngspice.h
		src/spicelib/parser/{inp2dot.c,inp2r.c,inpdomod.c,inpdpar.c,
		inpgmod.c,inppas3.c} :
		Rest of the serious deck reader leaks, plus fixes for the 
		last batch.

	2003-07-15 Stefan Jones <stefan.jones@multigig.com>

		* /src/frontend/{com_let.c,com_set.c,evaluate.c,parse.c,
		variable.c}
		src/frontend/parser/complete.c :
		Memory leaks plugged

	2003-04-14 Stefan Jones <stefan.jones@multigig.com>

		* Make all the devices in src/spicelib/devices be built
		as archives not shared libraries, and don't install them

	2003-06-22  Stuart Brorson  <sdb@cloud9.net>
 
 		*  Finally got SPICE2 POLY stuff working.  This involved 
		lots of changes in src/xspice/mif and src/xspice/enh.  
		Particular changes were made in:
 	   	--  MIF_INP2A: re-arranged logic to fix parsing problems.
 	   	--  two2three_translate: fixed some stupid pointer problems.
 	   	--  etc.
 
 		*  Revamped src/xspice/icm/ and src/xspice/icm/icm_spice2poly
 		directories to enable build of POLY codemodel.  
		Makefiles were fixed, and some stuff was added to enable 
		cmpp (from SPICE Opus) to build the codemodel precursors 
		correctly.  (Note that you need to download and install 
		SPICE Opus to rebuild the codemodel stuff.  See  
		src/xspice/icm/README for more details.)
 
 		*  Hacked Makefile.am's for much of the directory hierarchy, 
		particularly for src/xspice/icm and 
		src/xspice/icm/icm_spice2poly to build the POLY codemodel 
		correctly.  Note that top level make still doesn't detect 
 		changes in the xspice hierarchy; read the NOTES file for 
		a workaround.
 
 		*  Added a SPICE netlist incorporating vendor models with 
		SPICE2 POLYs in tests/TransImpedanceAmp/.  Running this 
		model successfully demonstrates that you have built the 
		XSpice POLY codemodel correctly and that life is good 
		. . . .
 
 		*  Moved #define TRACE out of src/ngspice.h and made it 
		a compiler option (-DTRACE) invoked in src/Makefile when 
		making spice.o.

	2003-05-02  Stuart Brorson  <sdb@cloud9.net>
 
 		*  Added #define TRACE to main.c for use in debugging.  
		Added lots of printf's in the code which are turned on 
		by defining TRACE. This is used to help figure out what 
		the program is doing at each step . . . . .
 	
 		*  Added lots of comments all over the source tree.  
		This should help explain what the prog is doing for 
		future hackers.
 	
 		*  Fixed parser to allow POLY attributes in dependent 
		sources (major changes  in src/frontend/subckt.c, as 
		well as move location of call to ENHtranslate_poly in 
		src/frontend/inp.c)
 	
 		*  Fixed bug in device init files 
		(src/spicelib/devices/*init.c)
 		so that Deviceinfo structures operated with XSPICE.
 
 		*  Fixed nasty malloc problem in src/xspice/mif/mifgetmod.c 
		which casued frequent segfaults (when compiled with XSPICE).

	
2002-01-03  Paolo Nenzi <p.nenzi@ieee.org>

	* acconfig.h: added define needed for Windows and some aesthetic
	  rework (from Holger Vogt patch).
	
	* configure.in: added macros to handle windows related 
	  issues (Holger patch and me).
	
	* INSTALL: added documentation on ngspice compilation under
	  Windows (Holger Vogt patch).
	
	* Makefile.am: added Windows compilation code (Holger Vogt patch and
	  me).
	
	 

2001-12-05  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: removed (unnecessary) macros to handle GNU getopt
	(I'm an idiot!)

2001-12-04  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in, main.c: Forgot a bit to handle GNU getopt correctly

2001-11-25  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: New way (cleaner) to handle GNU getopt.

2001-01-21  Paolo Nenzi <p.nenzi@ieee.org>

	* bsim3soi_dd/*: BSIM3SOI (DD) support added as level 11. Added tests in 
	  tests directory (tests/bsim3soidd/*).

	* ???: Integrated patch form Alan Gillespie <Alan.Gillespie@analog.com>
	to revert the spice raw format to the spice3 original. 

	* configure.in: corrected a bug that broke the on line help system.
	Help system now works again but its text is a little bit outdated.

	* ???: all binaries now have ng prependend, so ngspice can be installed
	with other spice flavours.
	
	
2000-10-18  Arno W. Peters  <A.W.Peters@ieee.org>

	* Makefile.am: Changes for notes dir -> NOTES file conversion.

	* tests/Makefile.am: Make distcheck target work again.

2000-10-17  Arno W. Peters  <A.W.Peters@ieee.org>

	* TODO: Little updates.

2000-10-14  Arno W. Peters  <A.W.Peters@ieee.org>

	* acconfig.h, configure.in, src/frontend/inpcom.c,
	src/include/complex.h src/include/macros.h, src/include/memory.h
	src/include/ngspice.h, src/maths/cmaths/Makefile.am
	src/maths/cmaths/cmath1.c, src/maths/cmaths/cmath2.c
	src/maths/cmaths/cmath3.c, src/maths/cmaths/cmath4.c
	src/maths/cmaths/test_cx_j.c, src/maths/cmaths/test_cx_mag.c
	src/maths/cmaths/test_cx_ph.c, src/misc/alloc.c src/misc/alloc.h:
	Added support for the Boehm-Weiser conservative garbage collector.

	* NOTES, src/maths/cmaths/cmath.h: Added.

	* notes/Linux.changes, notes/dbx, notes/internal, notes/mac_port
	notes/porting, notes/spice2: Removed or incorporated into
	NOTES.

	* *: replaced malloc, realloc and free calls to use tmalloc,
	trealloc and txfree.

2000-09-05  Arno W. Peters  <A.W.Peters@ieee.org>

	* ???: Paolo and I have integrated patches from Alan Gillespie
	<Alan.Gillespie@analog.com>.

2000-07-28  Arno W. Peters  <A.W.Peters@ieee.org>

	* tests/polezero/*.out: Changed the content of these files because
	the bug that caused the incorrect pole-zero results have been
	traced to src/spicelib/analysis/cktpzstr.c.

2000-07-05  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/devices/dev.c: Added first_device() and next_device() to
	abstract manipulations to the devices list.  Now change all the
	code that uses direct access to these functions...

2000-07-03  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/parser/alias.c, src/parser/alias.h: contain frontend alias
	command.  Moved them to src/frontend/com_alias.c and
	src/frontend/com_alias.h.  Updated Makefile.am's as appropreate.

	* src/parser/front.c, src/parser/front.h, src/parser/history.c,
	src/parser/history.h, src/parser/modify.c, src/parser/modify.h,
	src/parser/variable.c, src/parser/variable.h: Empty files.
	Removed.

	* src/include/spconfig.h: Removed spCOMPLEX,
	spSEPARATED_COMPLEX_VECTORS and spCOMPATIBILITY defines.  This
	made including this file from src/include/spmatrix.h unnecessary.
	Moved this file to src/maths/sparse/spconfig.h.

	* src/include/spmatrix.h: Removed include of
	src/include/spconfig.h.
	
	* src/maths/sparse/spalloc.c, src/maths/sparse/spbuild.c,
	src/maths/sparse/spcombin.c, src/maths/sparse/spdefs.h,
	src/maths/sparse/spfactor.c, src/maths/sparse/spoutput.c,
	src/maths/sparse/spsmp.c, src/maths/sparse/spsolve.c,
	src/maths/sparse/sputils.c: The other files affected by the
	removal of spCOMPLEX, spSEPARATED_COMPLEX_VECTORS and
	spCOMPATIBILITY defines.  Also: assertions are enabled by
	default.

	* src/include/smpdefs.h, src/maths/sparse/spsmp.c: SMPmatrix is
	now a typedef for void, instead of char.  Updated all function
	declarations to match this.  Also added function prototypes not
	previously mentioned in src/include/smpdefs.h.
	
	* src/include/complex.h: Updates of cast from char * to void *

	* src/analysis/cktsens.c: Matrixes cannot be created non-complex.
	Also added a check to detect an error condition on delta_Y =
	spCreate(...).


2000-06-27  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/parser: Refactored commands from the frontend into the
	frontend directory.  Major changes to organization, but not to
	functionality.

2000-06-19  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/analysis/cktask.c: moved to src/devices.
	
	* src/analysis/cktbindn.c: moved, renamed to
	src/devices/cktbindnode.c.
	
	* src/analysis/cktfdev.c: moved, renamed to
	src/devices/cktfinddev.c.

2000-06-18  Arno W. Peters  <A.W.Peters@ieee.org>

	* AUTHORS, doc/ngspice.texi: Included an acknowledgements
	section.

2000-06-16  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/frontend/doplot.c: Refactored into the following files:
	src/frontend/com_asciiplot.c src/frontend/com_asciiplot.h
	src/frontend/com_hardcopy.c src/frontend/com_hardcopy.h
	src/frontend/com_plot.c src/frontend/com_plot.h
	src/frontend/com_xgraph.c src/frontend/com_xgraph.h
	src/frontend/plotting/plotit.c src/frontend/plotting/plotit.h

	* src/frontend/Makefile.am src/frontend/plotting/Makefile.am:
	Updated to match the new files.

2000-06-15  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/frontend/graphdb.c, src/frontend/graphdb.c,
	src/frontend/Makefile.am, src/frontend/plotting/graphdb.c,
	src/frontend/plotting/graphdb.c,
	src/frontend/plotting/Makefile.am: Moved plotting specific files
	into plotting directory.

2000-06-05  Arno W. Peters  <A.W.Peters@ieee.org>

	* tests/*: Added a little hierarchy to the tests.  Removed
	config.sh in favor of check.sh.  This script does all checking.
	Made names of the tests better reflect the circuit under test.

2000-06-03  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/include/complex.h, src/include/macros.h,
	src/include/memory.h, src/maths/sparse/spdefs.h: Moved definitions
	of complex into complex.h.  There are three different ways to
	declare a complex number in Spice.  We need further work to reduce
	this to only one.

	* src/maths/cmaths/Makefile.am, src/maths/cmaths/.cvsignore,
	src/maths/cmaths/test_cx_ph.c:  Added a new test and updated the
	corresponding support files.

2000-06-02  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/circuit/inp2dot.c: Refactoring introduced a bug in the line
	parsing.  Passing line as an extra parameter to the refactored
	functions fixes the bug.

2000-05-30  Arno W. Peters  <A.W.Peters@ieee.org>

	* TODO: Updated.

	* src/maths/cmaths/Makefile.am, src/maths/cmaths/test_cx_mag.c,
	src/maths/cmaths/test_cx_j.c: Added first testcases for complex
	math library.

2000-05-25  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/circuit/inp2dot.c: First refactoring of INP2dot into smaller
	functions.  Still needs work.

	* src/circuit/sperror.c: Reworked, now much simpler.

	* src/include/inpdefs.h, src/include/sperror.h: Removed redundancy
	in the definition of function prototypes.

2000-05-06  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/include/fte*: Broken header files into smaller pieces.  This
	avoids long recompile times as less needs to be rebuilt on changes
	to the header files.  Adjusted all callers to use the new header
	files.  Left a warning message in the header file to indicate its
	obsolence.  You will see this message when compiling.

	* src/frontend/*: Reorganized part of the frontend commands into
	their own source file.  Moved plotting parts into new plotting
	directory.

	* src/devices/*: Removed all RCS log and rcsid from the devices
	source files.  They only give extra clutter and all the
	information you need is available through CVS.

2000-05-04  Arno W. Peters  <A.W.Peters@ieee.org>

	* src/maths/ni/nipzmeth.c: Corrected an overeager deletion.

2000-05-03  Arno W. Peters  <A.W.Peters@ieee.org>

	* source tree: removed most of `#ifdef notdef' and made converted
	some function calls from K&R -> ANSI.

2000-05-01  Arno W. Peters  <A.W.Peters@ieee.org>

	* Added .cvsignore files to prevent CVS from marking generated
	files as unknown.

	* src/devices/Makefile.am, src/devices/dev.c, src/devices/dev.h,
	src/Makefile.am, src/ngspice.c, src/main.c: Refactored devices
	initialization code into the devices dir.

	* tests/respart.cir, tests/respart.out, tests/respart.sh:
	additional tests for resistor.

1999-12-07  Arno Peters  <A.W.Peters@ieee.org>

	* source tree: Added MAINTAINERCLEANFILES to Makefile.am to
	eliminate automatically generated cruft from patches.  To create a
	minimal patch between two trees, just do `make maintainer-clean'
	on both trees and run `diff -ruN tree1 tree2'.

1999-10-15  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* source tree: entirely modified by Arno Peters (after discussion
	on the mailing list)

1999-09-06  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* AUTHORS: added list provided by Arno Peters

	* Applied patch supplied by Arno

1999-09-01  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* AUTHORS: some additions

	* FAQ: a few minor corrections

1999-08-31  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: config.h now in top directory

	* All Makefile.am's: removed useless 'DEFS' line

1999-08-30  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* FAQ: added the FAQ to the distribution

1999-08-28  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* Removed mfb from build - nutmeg doesn't use it on Unix.

1999-08-23  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: added tests ('make check') 

	* ng-spice.patch: added cleanup patch by Arno Peters

1999-08-08  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: added some features

1999-08-03  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: added a whole bunch of tests!

1999-08-02  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: added --with-checkergcc option (experimental!)
	added some maths checks

1999-07-31  Emmanuel Rouat  <emmanuel.rouat@wanadoo.fr>

	* configure.in: made X11 tests more efficient


ng-spice-0.0:
-------------
	* changed HAX_X11 define to XMISSING_DISPLAY supplied in config.h

	* added 'Changelog' files in all subdirectories

	* added '--enable-ansi' option to configure

	* put src/lib/dev/devsup.c into src/lib/dev/devsup/

	* added header files into Makefile.am's
	
Chianti:
--------
	(27/07/99)

	* added some tests to configure.in (ncurses/termcap, xaw....)

	* cleaned up some directories (examples, patches..)

	* removed all .orig files 
	
Pizza:
------
	(25/07/99)

	* added installation of man pages

	* emptied 'COPYING' file until we know what to put in it
	
	* fixed missing install of help and init files (created tune.c.in
	to support this)

	* added missing -DWANT_X11 and -DWANT_MFB in several compiles
	(fixed some headers in: src/lib/fte/x11.c
	                        src/lib/fte/x11disp.c )
	
	
Spaghetti:
----------
	(25/07/99)

	- first attempt at autoconf/automake support

	- based on spice3f5-chili, hardly anything touched on it.
